\documentclass{standalone}
\usepackage{tikz,siunitx}
\usetikzlibrary{3d,angles,arrows.meta,quotes}
\begin{document}
\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange}]
  
  \begin{scope}[canvas is zy plane at x=0]
    % Y axis
    \draw[->,gray] (0,0) -- (0,3) node[above] {Y};
  \end{scope}


  \begin{scope}[canvas is zx plane at y=0]
    % Z axis
    \draw[->,gray] (0,0) coordinate (A) -- (4,0) node[below] {Z};

    
    % intensity
    \draw[->] (2,0) coordinate (B) -- ++(120:3) coordinate (C)
    node[below left] {I} ;

    % angle
    \pic[draw,->,angle radius=8mm,angle eccentricity=0.6,"$\alpha$"] {angle = C--B--A};

    % magnetic field
    \node[blue] at (-3,1) {$\vec{B}$};
    \foreach \shift in {0,10,20,30}
             {
               \begin{scope}[yshift=\shift mm]
                 \draw[->, color=blue] (4,0) -- ++(180:6);
               \end{scope}
             }

    % conductor
    \draw[conductor] (2,0) -- +(-60:1) -- +(120:2);

  \end{scope}

  \begin{scope}[canvas is xy plane at z=0]
    % X axis
    \draw[->,gray] (0,0) -- (4,0) node[right] {X};
  \end{scope}

  \begin{scope}[canvas is xy plane at z=2]
    % force
    \draw[->] (0,0) -- ++(0,2) node[above] {$\vec{F}$};
  \end{scope}

\end{tikzpicture}
\end{document}
